Skip to main content
GET
/
v2
/
account
/
access-info
Get access info
curl --request GET \
  --url https://api.example.com/v2/account/access-info \
  --header 'Authorization: Bearer <token>'
{
  "email": "jsmith@example.com",
  "mfaActivated": true,
  "pricingSet": true,
  "passwordUpdatedAt": "2023-11-07T05:31:56Z",
  "frozenUntil": "2023-11-07T05:31:56Z",
  "accountPermissions": {
    "payIn": true,
    "payOut": true,
    "convert": true,
    "onChain": true,
    "viewOnly": true,
    "markup": true,
    "beneficiary": true,
    "enforceAllowedBeneficiaries": false,
    "operationRequester": false,
    "operationApprover": false
  },
  "blacklistedAccountIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "isMainAccountBlacklisted": true
}

Get access info

GET request to /v2/account/access-info

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

OK

email
string<email>
mfaActivated
boolean
pricingSet
boolean
passwordUpdatedAt
string<date-time>
frozenUntil
string<date-time>
accountPermissions
object
blacklistedAccountIds
string<uuid>[]
isMainAccountBlacklisted
boolean